local addonVar = ScreenPlus.getVar() -- ///// copie de la locale addonVar pour ce fichier
local panel

function ScreenPlus.settingsSpecialShow()
	-- fait au lancement : if (panel == nil) then ScreenPlus.settingsSpecialCreate() end
	ScreenPlus.settingsSpecialUpdate()
	panel:Show()
end

function ScreenPlus.settingsSpecialCreate()
	local uiWidth = 700
	local uiHeight = 480
	local marge = 15
	local fontString, slider, strBtn, chkButton, tempFrame, button
	
	panel = CreateFrame("Frame", "Scplus_ui_settings", nil, BackdropTemplateMixin and "BackdropTemplate")
	panel:Hide()
	panel:SetFrameStrata("MEDIUM")
	panel:SetClampedToScreen(true)
	panel:SetMovable(true)
	panel:SetUserPlaced(true)
	panel:SetResizable(false)
	panel:ClearAllPoints()
	panel:SetSize(uiWidth, uiHeight)
	panel:SetAlpha(0.8)
	panel:SetPoint("CENTER", UIParent)
	ScreenPlus.setEscapeClosable(panel)
	ScreenPlus.setColoredFrame(panel, "#333333", "black", 1, 0.9)
	--------------------------------------------------- barre de titre (Scplus_ui_settings_menubar)
	local menubar = ScreenPlus.createRectButton("Scplus_ui_settings_menubar", panel, "", uiWidth - 30, 20) -- -case fermeture
	menubar:SetPoint("TOPLEFT", panel, "TOPLEFT", 0, -1)
	ScreenPlus.setColoredButton(menubar, addonVar["chatColor"], nil, 0, 1, 0.6)
	ScreenPlus.setFontStyle(menubar.text, "Arial", 12, "#4350E7", false, 1)
	menubar:SetText(addonVar["name"].." "..ScreenPlus.getVersion(false).." - "..ScreenPlus.getLocal("settings"))
	------------- drag déplacement (clic-gauche ou droit)
	menubar:EnableMouse(true)
	menubar:SetScript("OnMouseDown", function(self, mouse)
		if (not self:GetParent().isMoving) then
			self:GetParent():StartMoving()
			self:GetParent().isMoving = true
		end
	end)
	menubar:SetScript("OnMouseUp", function(self, mouse)
		if (self:GetParent().isMoving) then
			self:GetParent():StopMovingOrSizing()
			self:GetParent().isMoving = false
		end
	end)
	-------------------------------------------- case de fermeture
	local btnClose = ScreenPlus.createRectButton("Scplus_ui_settings_close", menubar, "X", 30, 20)
	ScreenPlus.setColoredButton(btnClose, {0.66,0.28,0.19}, nil, 0, 1, 0.8)
	btnClose:SetPoint("TOPRIGHT", panel, "TOPRIGHT", 0, -1)
	btnClose:SetScript("OnClick", function(self) ScreenPlus.closeCfgUI() end)
	--------------------------------------------------- binding key
	local frameKey = CreateFrame("Frame", "Scplus_ui_settings_keyFrame", panel)
	frameKey:SetSize(uiWidth - (marge * 2), 50)
	frameKey:SetPoint("TOPLEFT", menubar, "BOTTOMLEFT", marge, 0)
--ScreenPlus.setColoredFrame(frameKey, "green", nil, 0, 0.4)
	frameKey.text = frameKey:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	frameKey.text:SetPoint("TOPLEFT", frameKey, "TOPLEFT", 0, -10)
	ScreenPlus.setFontStyle(frameKey.text, "Arial", 12) -- size only : couleur définie par .showBindedKeys()
	frameKey.text:SetJustifyH("LEFT")
	frameKey.text:SetText("")
	
	--------------------------------------------------- frame Gauche
	local panelLeft = CreateFrame("Frame", "Scplus_ui_settings_left", panel)
	tempFrame = frameKey:GetBottom() - menubar:GetBottom()
	panelLeft:SetSize(floor((uiWidth - (marge * 3)) / 2) - 30, uiHeight - 150)
	panelLeft:SetPoint("TOPLEFT", frameKey, "BOTTOMLEFT", 0)
--ScreenPlus.setColoredFrame(panelLeft, "#992222", nil, 0, 0.4)
	------------------------------ chapitre
	fontString = panelLeft:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", panelLeft, "TOPLEFT", 0, 0)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("During screen capture and camera mode:"))
	------------- own name
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_display_ownName", panelLeft, ScreenPlus.getLocal("Own name visible"))
	chkButton:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, "own") -- catégorie CVar
	end)
	------------- players name
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_display_playersName", panelLeft, ScreenPlus.getLocal("Players name visible"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_display_ownName, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, "players") -- catégorie CVar
	end)
	------------- PNJs name
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_display_npcsName", panelLeft, ScreenPlus.getLocal("NPCs name visible"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_display_playersName, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, "npcs") -- catégorie CVar
	end)
	------------- pets name
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_display_petsName", panelLeft, ScreenPlus.getLocal("Pets name visible"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_display_npcsName, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, "pets") -- catégorie CVar
	end)
	
	------------- alerte sonore
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_warningSound", panelLeft, ScreenPlus.getLocal("Sound alert on chat message"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_display_petsName, "BOTTOMLEFT", 0, -15)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, nil) -- pas de catégorie CVar
	end)
	------------- warning txt
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_warningTxt", panelLeft, ScreenPlus.getLocal("Text alert on chat message"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_warningSound, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.cfgUIsetChecked(self, nil) -- pas de catégorie CVar
	end)
	------------- distance caméra
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_distance_ChkMax", panelLeft, ScreenPlus.getLocal("Maximum camera distance"))
	chkButton:SetPoint("TOPLEFT", ScplusUIchk_warningTxt, "BOTTOMLEFT", 0, -15)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		if (self:GetChecked()) then -- CVar non booléen
			SCPLUS_SAVED["cameraDistance"] = 2.6
		else
			SCPLUS_SAVED["cameraDistance"] = 1.9
		end
		SetCVar("cameraDistanceMaxZoomFactor", SCPLUS_SAVED["cameraDistance"])
	end)
	
	------------------------------ chapitre
	fontString = panelLeft:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", Scplus_ui_distance_ChkMax, "BOTTOMLEFT", -20, -20)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("Miscellaneous:"))
	------------- print screenshot saved
	chkButton = ScreenPlus.createStandardCheckBox("ScplusUIchk_printScreenSaved", panelLeft, ScreenPlus.getLocal("Confirm screenshot saved in chat box"))
	chkButton:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		SCPLUS_SAVED["printScreenSaved"] = ScreenPlus.booleanToInt(self:GetChecked())
	end)
	
	------------------------------ btn bas
	button = ScreenPlus.createRectButton("Scplus_ui_settings_default", panel, ScreenPlus.getLocal("Default"), 140, 20)
	button:SetPoint("BOTTOMLEFT", panel, "BOTTOMLEFT", 50, marge)
	ScreenPlus.setColoredButton(button, "#843E26", "yellow", 1, 1, 0.8, nil)
	ScreenPlus.setFontStyle(button.text, "Arial", 12, "yellow", false, 1)
	button:SetScript("OnClick", function(self) ScreenPlus.reset() end)
	
	
	--------------------------------------------------- frame Droite
	local panelRight = CreateFrame("Frame", "Scplus_ui_settings_left", panel)
	panelRight:SetSize(panelLeft:GetWidth() + 30, panelLeft:GetHeight())
	panelRight:SetPoint("TOPLEFT", panelLeft, "TOPRIGHT", marge, 0)
--ScreenPlus.setColoredFrame(panelRight, "#222299", nil, 0, 0.4)
	------------------------------ chapitre
	fontString = panelRight:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", panelRight, "TOPLEFT", 0, 0)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("Caption:"))
	--------------- type légende
	tempFrame = CreateFrame("Frame", "Scplus_ui_caption_group", panel)
	tempFrame:SetSize(panelLeft:GetWidth() + 40, 32)
	tempFrame:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	ScreenPlus.setColoredFrame(tempFrame, "555555", "666666", 1, 0.3)
	
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_caption_Rad1", panelRight, ScreenPlus.getLocal("Full"))
	chkButton:SetPoint("LEFT", Scplus_ui_caption_group, "LEFT", 2, 0)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.setCaptionType(tonumber(string.sub(self:GetName(), -1, -1)))
	end)
	
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_caption_Rad2", panelRight, ScreenPlus.getLocal("Mini"))
	chkButton:SetPoint("LEFT", Scplus_ui_caption_Rad1.text, "RIGHT", 40, 0)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.setCaptionType(tonumber(string.sub(self:GetName(), -1, -1)))
	end)
	
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_caption_Rad0", panelRight, ScreenPlus.getLocal("None"))
	chkButton:SetPoint("LEFT", Scplus_ui_caption_Rad2.text, "RIGHT", 40, 0)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		ScreenPlus.setCaptionType(tonumber(string.sub(self:GetName(), -1, -1)))
	end)
	--------------- coords & horodatage
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_captionVisible_ChkCoords", panelRight, ScreenPlus.getLocal("Show coordinates"))
	chkButton:SetPoint("TOPLEFT", Scplus_ui_caption_Rad1, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		SCPLUS_SAVED["captionCoords"] = ScreenPlus.booleanToInt(self:GetChecked())
		ScreenPlus.showCaption()
	end)
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_captionVisible_ChkHorodate", panelRight, ScreenPlus.getLocal("Show horodate"))
	chkButton:SetPoint("TOPLEFT", Scplus_ui_captionVisible_ChkCoords, "BOTTOMLEFT", 0, -3)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		SCPLUS_SAVED["captionHorodate"] = ScreenPlus.booleanToInt(self:GetChecked())
		ScreenPlus.showCaption()
	end)
	------------------------------ chapitre : position légende
	tempFrame = CreateFrame("Frame", "Scplus_ui_captionPos", panelRight)
	tempFrame:SetSize(200,50)
	tempFrame:SetPoint("TOPLEFT", Scplus_ui_captionVisible_ChkHorodate, "BOTTOMLEFT", -20, -30)
	fontString = tempFrame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", tempFrame, 0)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("Caption's position:"))
	------------ slider
	slider = ScreenPlus.createSlider("Scplus_ui_captionPos_Slider", tempFrame, 300, 20, 200, {ScreenPlus.getLocal("low"), ScreenPlus.getLocal("high")}, false)
	slider:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	slider:SetScript("OnValueChanged", function(self, value)
		local posV = ScreenPlus.round(self:GetValue())
		self:SetText(posV)
		Scplus_ui_mainFrame:ClearAllPoints()
		Scplus_ui_mainFrame:SetPoint("CENTER", "UIParent", "TOP", 0, 0 - posV)
		SCPLUS_SAVED["captionFullHeight"] = posV
	end)
	------------------------------ chapitre
	fontString = panelRight:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", slider, "TOPLEFT", -20, -50)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("File format:"))
	--------------- format fichier
	tempFrame = CreateFrame("Frame", "Scplus_ui_format_group", panel)
	tempFrame:SetSize(panelLeft:GetWidth() - 80, 32)
	tempFrame:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	ScreenPlus.setColoredFrame(tempFrame, "555555", "666666", 1, 0.3)
	
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_format_Rad1", panelRight, ScreenPlus.getLocal("jpeg"))
	chkButton:SetPoint("LEFT", Scplus_ui_format_group, "LEFT", 2, 0)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		SCPLUS_SAVED["screenshotFormat"] = self:GetText()
		SetCVar("screenshotFormat", SCPLUS_SAVED["screenshotFormat"])
		ScreenPlus.allumeFormatRadios(ScreenPlus.strToNumber(string.sub(self:GetName(), -1, -1)))
	end)
	
	chkButton = ScreenPlus.createStandardCheckBox("Scplus_ui_format_Rad2", panelRight, ScreenPlus.getLocal("tga"))
	chkButton:SetPoint("LEFT", Scplus_ui_format_Rad1.text, "RIGHT", 40, 0)
	ScreenPlus.setFontStyle(chkButton.text, "Arial", 12)
	chkButton:SetScript("OnClick", function(self)
		SCPLUS_SAVED["screenshotFormat"] = self:GetText()
		SetCVar("screenshotFormat", SCPLUS_SAVED["screenshotFormat"])
		ScreenPlus.allumeFormatRadios(ScreenPlus.strToNumber(string.sub(self:GetName(), -1, -1)))
	end)
	------------------------------ chapitre : qualité
	tempFrame = CreateFrame("Frame", "Scplus_ui_qualityPos", panelRight)
	tempFrame:SetSize(200,50)
	tempFrame:SetPoint("TOPLEFT", Scplus_ui_format_Rad1, "BOTTOMLEFT", -20, -20)
	fontString = tempFrame:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	fontString:SetPoint("TOPLEFT", tempFrame, 0)
	ScreenPlus.setFontStyle(fontString,"Arial", 14)
	fontString:SetText(ScreenPlus.getLocal("JPEG quality:"))
	------------ slider
	slider = ScreenPlus.createSlider("Scplus_ui_quality_Slider", tempFrame, 300, 1, 10, {ScreenPlus.getLocal("low"), ScreenPlus.getLocal("best")}, false)
	slider:SetPoint("TOPLEFT", fontString, "BOTTOMLEFT", 20, -10)
	slider:SetScript("OnValueChanged", function(self, value)
		self:SetText(ScreenPlus.round(self:GetValue()))
		SCPLUS_SAVED["screenshotQuality"] = ScreenPlus.round(self:GetValue())
		SetCVar("screenshotQuality", SCPLUS_SAVED["screenshotQuality"])
	end)
	------------------------------ btn bas
	button = ScreenPlus.createRectButton("Scplus_ui_settings_closebtn", panel, ScreenPlus.getLocal("Close"), 140, 20)
	button:SetPoint("BOTTOMRIGHT", panel, "BOTTOMRIGHT", -50, marge)
	ScreenPlus.setColoredButton(button, "#843E26", "yellow", 1, 1, 0.8, nil)
	ScreenPlus.setFontStyle(button.text, "Arial", 12, "yellow", false, 1)
	button:SetScript("OnClick", function(self) ScreenPlus.closeCfgUI() end)
end

function ScreenPlus.settingsSpecialUpdate() -- MAJ de l'UI suivant SCPLUS_SAVED
	local capture, cameraMode = ScreenPlus.showBindedKeys()
	Scplus_ui_settings_keyFrame.text:SetText(capture.."\n"..cameraMode)

	ScreenPlus.cfgUIgetChecked(ScplusUIchk_display_ownName)
	ScreenPlus.cfgUIgetChecked(ScplusUIchk_display_playersName)
	ScreenPlus.cfgUIgetChecked(ScplusUIchk_display_npcsName)
	ScreenPlus.cfgUIgetChecked(ScplusUIchk_display_petsName)
	ScreenPlus.cfgUIgetChecked(ScplusUIchk_warningSound)
	ScreenPlus.cfgUIgetChecked(ScplusUIchk_warningTxt)
	
	Scplus_ui_distance_ChkMax:SetChecked(ScreenPlus.strToNumber(SCPLUS_SAVED["cameraDistance"]) > 1.9)
	
	ScplusUIchk_printScreenSaved:SetChecked(ScreenPlus.isTrue(SCPLUS_SAVED["printScreenSaved"]))
	
	ScreenPlus.allumeCaptionRadios(ScreenPlus.nombreParDefaut(SCPLUS_SAVED["captionType"], 2, 0, 2)) -- caption style
	ScreenPlus.showCaption() -- affichage légende
	Scplus_ui_captionVisible_ChkCoords:SetChecked(ScreenPlus.isTrue(SCPLUS_SAVED["captionCoords"]))
	Scplus_ui_captionVisible_ChkHorodate:SetChecked(ScreenPlus.isTrue(SCPLUS_SAVED["captionHorodate"]))
	Scplus_ui_captionPos_Slider:SetValue(ScreenPlus.entierParDefaut(SCPLUS_SAVED["captionFullHeight"], 100, 20, 200))
	
	local tbl = {["jpeg"] = 1, ["tga"] = 2} -- correspondances avec boutons radios
	ScreenPlus.allumeFormatRadios(ScreenPlus.entierParDefaut(tbl[SCPLUS_SAVED["screenshotFormat"]], 1, 1, 2))
	
	Scplus_ui_quality_Slider:SetValue(ScreenPlus.entierParDefaut(SCPLUS_SAVED["screenshotQuality"], 3, 1, 10))
end

function ScreenPlus.allumeCaptionRadios(numBtn)
	for i = 0, 2 do -- increment 1 par defaut
		_G["Scplus_ui_caption_Rad"..i]:SetChecked(i == numBtn)
	end
end

function ScreenPlus.setCaptionType(numBtn)
	SCPLUS_SAVED["captionType"] = numBtn
	ScreenPlus.allumeCaptionRadios(ScreenPlus.nombreParDefaut(SCPLUS_SAVED["captionType"], 2, 0, 2))
	if (numBtn == 1) then
		Scplus_ui_captionPos:Show()
	else
		Scplus_ui_captionPos:Hide()
	end
	ScreenPlus.showCaption()
end

function ScreenPlus.allumeFormatRadios(numBtn)
	for i = 1, 2 do -- increment 1 par defaut
		_G["Scplus_ui_format_Rad"..i]:SetChecked(i == numBtn)
	end
	if (numBtn == 1) then
		Scplus_ui_qualityPos:Show()
	else
		Scplus_ui_qualityPos:Hide()
	end
end

function ScreenPlus.cfgUIgetChecked(checkBox) -- update une checkbox suivant SCPLUS_SAVED
	local checked = false
	local arg1, arg2, arg3 = strsplit("_", checkBox:GetName())
	
	if (type(SCPLUS_SAVED[arg2]) == "table") then
		if (SCPLUS_SAVED[arg2][arg3] ~= nil) then checked = ScreenPlus.isTrue(SCPLUS_SAVED[arg2][arg3]) end
	else
		if (SCPLUS_SAVED[arg2] ~= nil) then checked = ScreenPlus.isTrue(SCPLUS_SAVED[arg2]) end
	end
	checkBox:SetChecked(checked)
end

function ScreenPlus.cfgUIsetChecked(checkBox, cvarCat) -- MAJ de SCPLUS_SAVED sur click checkbox
	local checkedInt = ScreenPlus.booleanToInt(checkBox:GetChecked())
	local arg1, arg2, arg3 = strsplit("_", checkBox:GetName())
	
	if (type(SCPLUS_SAVED[arg2]) == "table") then
		if (SCPLUS_SAVED[arg2][arg3] ~= nil) then
		ScreenPlus.testPrint("cfgUIsetChecked(table): SCPLUS_SAVED["..ScreenPlus.nilSiNul(arg2).."]["..ScreenPlus.nilSiNul(arg3).."] --> "..checkedInt.."   cvarCat="..ScreenPlus.nilSiNul(cvarCat))
			SCPLUS_SAVED[arg2][arg3] = checkedInt
			if (not ScreenPlus.isEmpty(cvarCat)) then ScreenPlus.cvarsSet(cvarCat, checkedInt) end
		end
	else
		if (SCPLUS_SAVED[arg2] ~= nil) then
		ScreenPlus.testPrint("cfgUIsetChecked(no table): SCPLUS_SAVED["..ScreenPlus.nilSiNul(arg2).."] --> "..checkedInt.."   cvarCat="..ScreenPlus.nilSiNul(cvarCat))
			SCPLUS_SAVED[arg2] = checkedInt
			if (not ScreenPlus.isEmpty(cvarCat)) then ScreenPlus.cvarsSet(cvarCat, checkedInt) end
		end
	end
end

function ScreenPlus.showBindedKeys()
	local capture, cameraMode
	if (ScreenPlus.getBindedKey("SCPLUSSHOOT") ~= nil) then
		capture = "|cFF".."FFD100"..ScreenPlus.getBindedKey("SCPLUSSHOOT").." "..ScreenPlus.getLocal("is the defined key to take a screen capture.").."|r"
	else
		capture = "|cFF".."C24017"..ScreenPlus.getLocal("There is no defined key to take a screenshot.").."|r"
	end
	if (ScreenPlus.getBindedKey("SCPLUSPHOTOMODE") ~= nil) then
		cameraMode = "|cFF".."FFD100"..ScreenPlus.getBindedKey("SCPLUSPHOTOMODE").." "..ScreenPlus.getLocal("is the defined key to enter screen capture mode.").."|r"
	else
		cameraMode = "|cFF".."C24017"..ScreenPlus.getLocal("There is no defined key to enter screen capture mode.").."|r"
	end
	return capture, cameraMode
end